/*
 SONOFF Blink par Michel Deslierres
 Modifié par François Mocq
 Basé sur le programme Blink pour l'ESP8266 de Simon Peter
 Fait clignoter la LED verte du Sonoff : deux flash rapides, un temps de pause
 Ce code exemple est dans le domaine public
 
 La LED verte du module Sonoff Basic est connectée au GPIO 13
 
*/

const int LED_PIN = 13;

void setup() {
  pinMode(LED_PIN, OUTPUT);     // Initialiser la pin LED_BUILTIN en sortie
}

// cette fonction loop tourne indéfiniment
void loop() {
  digitalWrite(LED_PIN, LOW);   // Allume la LED (Noter que LOW est le niveau de la tension
                                  // mais ici la LED est allumée car 
                                  // elle est active à l'état bas sur l'ESP-01)
  delay(10);                    // Attendre 10ms
  digitalWrite(LED_PIN, HIGH);  // Eteindre la LED en mettant la sortie à 1 (3,3v)
  delay (100);                  // attendre 100ms
  digitalWrite(LED_PIN, LOW);   // Allumer la LED
  delay(10);                    // Attendre 10ms
  digitalWrite(LED_PIN, HIGH);  // Eteindre la LED
  
  delay(500);                   // Attendre 500ms
}
